//============================================================================
// 635_WinTest Code.
// Copyright 2001-2004, Crystalfontz America, Inc. Written by Brent A. Crosby
//
// You may use this code in any project (including commercial) as long as
// at least one of the intents of the project is to communicate with a
// Crystalfontz display.
//
// http://www.crystalfontz.com brent@crystalfontz.com
//
// !!!!!!!! THIS IS TEST CODE ONLY !!!!!!!!
// !!!!!!!!  USE AT YOUR OWN RISK  !!!!!!!!
//
//============================================================================
// SERIAL.H: Windows 32 packet based example code
//============================================================================
int Serial_Init(char *port, int baud_rate, CWnd* pParent = NULL);
void Uninit_Serial();
//============================================================================
typedef unsigned char ubyte;
typedef signed char sbyte;
typedef unsigned short word;
typedef unsigned long dword;
typedef union
  {
  ubyte
    as_bytes[2];
  word
    as_word;
  }WORD_UNION;
//============================================================================
#define MAX_DATA_LENGTH 255
//============================================================================
#define MAX_COMMAND 37
//============================================================================
typedef struct
  {
  ubyte
    command;
  ubyte
    data_length; 
  ubyte
    data[MAX_DATA_LENGTH];
  WORD_UNION
    CRC;
  }COMMAND_PACKET;
//============================================================================
extern COMMAND_PACKET
  incoming_response;
//============================================================================
ubyte check_for_packet(void);
void send_packet(COMMAND_PACKET *packet);
//============================================================================
